<?php

$userLanguage = config('defaultLanguage');
$languages = config('languages');

$userData = explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
if (count($userData) && array_key_exists($userData[0], $languages)) {
    $userLanguage = $userData[0];
}

if (isset($_COOKIE['artLanguage']) && array_key_exists($_COOKIE['artLanguage'], $languages)) {
    $userLanguage = $_COOKIE['artLanguage'];
}

if (isset($_GET['lang']) && array_key_exists($_GET['lang'], $languages)) {
    $userLanguage = $_GET['lang'];
    setcookie(
        'artLanguage',
        $userLanguage,
        time() + config('languageCookieExpire'),
        config('languageCookiePath'),
        config('languageCookieDomain')
    );
}

Translate::init($languages, $userLanguage);
