$(document).ready(function () {
	'use strict';
	
	var $slider = $('.slider'),
		$sliderWrap = $('.slider-wrap');
	
	if ($slider.length) {
		$(window).resize(function () {
			var newHeight = core.html.height() - parseInt($('.content-wrap').css('padding-top')) - $('.search-wrap:first').outerHeight() - parseInt($sliderWrap.css('margin-bottom'));
			
			$('.slider-item').css({'height': newHeight + 'px'});
		}).resize();
		
		$('.slider').owlCarousel({
			items: 1,
			nav: false,
			dots: true,
			autoplay: true,
			autoplayTimeout: 5000,
			autoplayHoverPause: true,
			smartSpeed: 500,
			loop: true
		});
	}
	
	$('.partners-slider').owlCarousel({
		nav: true,
		navText: ['', ''],
		dots: false,
		autoplay: false,
		smartSpeed: 500,
		rtl: true,
		loop: true,
		responsive: {
			0: {items: 1, slideBy: 1},
			480: {items: 2, slideBy: 2},
			768: {items: 3, slideBy: 3},
			992: {items: 4, slideBy: 4}
		}
	});
	
	$('.text-slider-wrap').owlCarousel({
		nav: true,
		navText: ['', ''],
		dots: false,
		autoplay: false,
		smartSpeed: 500,
		rtl: false,
		loop: true,
		items: 1,
		slideBy: 1
	});
	
});