$(document).ready(function () {

	var $domains = $('.domains-list > li'),
		domainsNum = $domains.length,
		domainsInterval = null;

	if (domainsNum) {
		var timeout = 2500,
			$currentDomain = null,
			$prevDomain = null,
			$lists = $('.domains-list-wrap-item');

		if (core.body.width() < 992) {
			var html = '';

			$lists.each(function () {
				html += $(this).children('ul').html();
			});

			$lists.filter(':first').children('ul').html(html).closest('div').siblings('.domains-list-wrap-item').remove();
		}

		domainsInterval = setInterval(function () {
			var toChange = Math.round(0 - 0.5 + (Math.random() * domainsNum)),
				domains = {},
				count = 0;

			$domains.each(function () {
				domains[count] = $.trim($(this).text());
				count += 1;
			});

			$.ajax({
				url: 'ajax-domain.php',
				data: {domains: domains},
				method: 'post',
				type: 'html'
			}).done(function (data) {
				var bodyWidth = core.body.width(),
					$lists = $('.domains-list-wrap-item'),
					$listsUnused = $lists.filter(':not(.used)'),
					listNum = null,
					$list = null;

				if (!$listsUnused.length) {
					$lists.removeClass('used');
					$listsUnused = $lists;
				}

				listNum = $listsUnused.filter(':first').index() - 1;
				$list = $lists.filter(':eq('+ listNum +')').addClass('used');

				setTimeout(function () {
					$list.css({height: ($list.height()) + 'px'});

					var $added = $list.children('ul').prepend('<li class="added new-domain"><a href="http://'+ data +'">'+ data +'</a></li>').children('li:first'),
						$toRemove = $list.find('li:last');

					if (!$prevDomain) $prevDomain = $added;
					else $prevDomain = $currentDomain;

					$currentDomain = $added;

					setTimeout(function () {
						$toRemove.addClass('removed');
						$added.removeClass('added');

						setTimeout(function () {
							$toRemove.remove();
							$list.removeAttr('style');

							if (!($prevDomain == $currentDomain)) $prevDomain.removeClass('new-domain');
						}, 200);
					}, 16);
				}, 16);
			});
		}, timeout);

		$(window).focusin(function () {
			$('.new-domain').removeClass('new-domain');
		});
	}

});
