$(document).ready(function () {
	'use strict';
	
	var $search = $('.search-wrap');
	
	if ($search.length) {
		var $sClone = $search.clone().removeClass('mb10').addClass('fixed hidden').appendTo('body');
		
		$(window).scroll(function () {
			var sHeight = $search.innerHeight(),
				sOffset = $search.offset().top,
				hHeight = $('header').innerHeight(),
				screenHeight = core.html.height(),
				searchBottom = sOffset + sHeight,
				scrollTop = $(window).scrollTop(),
				screenTop = scrollTop + hHeight,
				screenBottom = scrollTop + screenHeight,
				dHeight = sOffset;
			
			if ($search.parent('.s-wrap').length) dHeight += sHeight;

			if (dHeight < screenTop) $sClone.removeClass('bottom').removeClass('hidden');
			else if (searchBottom > screenBottom) $sClone.addClass('bottom').removeClass('hidden');
			else $sClone.addClass('hidden');
		}).scrollTop(1);

		core.body.on('keypress', '.domain-search-form input[type="text"]', function () {
			var $th = $(this),
				text = $th.val(),
				$form = $th.closest('.domain-search-form');

			$('.domain-search-form').each(function () {
				var $this = $(this);
				if ($this != $form) $this.find('input[type="text"]').val(text);
			});
		});
	}
});